> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Evaluator

> Update an evaluator's name and/or configuration. Creates a new version of the evaluator and archives the previous version. At least one field (name or enrichment_config) must be provided.




## OpenAPI

````yaml PATCH /v3/evaluators/{evaluator_id}
openapi: 3.0.3
info:
  title: Fiddler API - 2.0
  description: APIs to interact with Fiddler
  termsOfService: https://fiddler.ai/about/terms
  contact:
    email: support@fiddler.ai
  license:
    name: Proprietary
    url: '2.0'
  version: '2.0'
servers: []
security:
  - BearerAuth: []
tags:
  - name: access-key
    description: CRUD operations for API keys
  - name: span-v3
  - name: aggregation-invalidation-request-v3
    description: Endpoints related to retrieving aggregation invalidation requests
  - name: alert-rules-v3
    description: CRUD for Alert Rules, Summary, and Stats APIs
  - name: application-v3
  - name: attribute-v3
  - name: auth
    description: Authentication strategies and login flows
  - name: baseline-v3
    description: CRUD for baseline
  - name: catalog-v3
    description: >-
      Entity catalog provides paginated, searchable discovery of entity names
      (attribute keys, agent names, span types, span names) and their distinct
      values. Powered by ClickHouse materialized views — no worker or PostgreSQL
      dependency.
  - name: chart-annotation-v3
    description: Endpoints related to retrieving chart annotations
  - name: chart-v3
    description: CRUD for chart
  - name: queries-v3
    description: v3 queries API
  - name: configuration-v3
    description: CRUD for configurations
  - name: custom-metrics-v3
  - name: dimensionality-reduction-v3
  - name: environment-v3
    description: Endpoints related to environment management
  - name: evals
  - name: datasets
  - name: evaluation-v3
  - name: evaluator-v3
  - name: rule-evaluators-v3
  - name: experiment-v3
  - name: explainability-v3
  - name: llm_rca-v3
  - name: file-upload
    description: Endpoints related to file uploading.
  - name: fql-expressions-v3
    description: >
      Endpoints for listing FQL (Fiddler Query Language) functions available for
      GenAI custom metrics. Used by the frontend for autocomplete and signature
      hints in the FQL editor.
  - name: genai-alert-rules-v3
    description: CRUD API for GenAI Alert Rules
  - name: genai-custom-metrics-v3
    description: API for GenAI Custom Metrics
  - name: genai-metrics-v3
    description: >-
      Endpoints for pre-aggregated GenAI metrics. All metric data is
      pre-aggregated by an hourly ClickHouse refreshable materialized view; no
      real-time aggregation is performed at request time.
  - name: guardrails-api
    description: Endpoints related to retrieving Guardrails specific data
  - name: ingestion-v3
  - name: intercom-api
    description: Endpoints related to intercom APIs
  - name: jobs-v3
  - name: llm-gateway-v3
  - name: auth-login
  - name: auth-logout
  - name: metrics-v3
    description: Metrics endpoints
  - name: model-v3
  - name: dashboard-v3
  - name: model-deployment-v3
  - name: monitoring-summary-v3
  - name: histograms-v3
  - name: organization-roles-v3
    description: Update user org role
  - name: organization-settings-v3
    description: Update organization settings such as timezone, email configuration, etc.
  - name: pagerduty-api
    description: CRUD for Pagerduty services.
  - name: project-v3
  - name: project-roles-v3
    description: Project role assignment management
  - name: searchable-text-key-v3
    description: >-
      Manage the global searchable text keys table that controls which OTel
      attribute keys are routed to the full-text-searchable `ValueContent`
      column in the unified attributes table. Changes propagate to the backing
      ClickHouse dictionary within 1-2 minutes and affect all tenants.
  - name: segments-v3
  - name: semantic-mapping-v3
    description: >-
      Manage the global semantic name mappings table that maps raw OTel
      attribute keys to canonical semantic concepts. Changes propagate to the
      backing ClickHouse dictionary within 1-2 minutes and affect all tenants.
  - name: server-info-v3
    description: Endpoints related to retrieving server information
  - name: sessions-v3
    description: v3 session APIs
  - name: team-roles-v3
  - name: team-v3
  - name: traces-v3
    description: v3 trace api for monitoring
  - name: fetch-sessions-v3
    description: v3 fetch sessions api for monitoring
  - name: user-access-key
    description: >
      CRUD operations for user API keys. All endpoints are user-scoped — each
      user can only operate on their own API keys. No one including Org admins
      have access to other users' API keys.
  - name: users-v3
  - name: version-compatibility-v3
  - name: webhooks
externalDocs:
  url: https://docs.fiddler.ai
  description: Find out more about Fiddler
paths:
  /v3/evaluators/{evaluator_id}:
    patch:
      tags:
        - evaluator-v3
      summary: Update Evaluator
      description: >
        Update an evaluator's name and/or configuration. Creates a new version
        of the evaluator and archives the previous version. At least one field
        (name or enrichment_config) must be provided.
      operationId: updateEvaluatorV3
      parameters:
        - name: evaluator_id
          in: path
          description: Unique identifier of the evaluator to update
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEvaluatorRequest'
      responses:
        '200':
          description: Details of the updated evaluator (new version)
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Evaluator'
        '400':
          $ref: '#/components/responses/400'
        '404':
          $ref: '#/components/responses/404'
        '409':
          $ref: '#/components/responses/409'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    UpdateEvaluatorRequest:
      type: object
      title: Update Evaluator Request
      description: >
        Request body for updating an evaluator. At least one field must be
        provided; only provided fields will be updated. The evaluator's
        enrichment_name cannot be changed.
      minProperties: 1
      properties:
        name:
          type: string
          description: New name for the evaluator
          minLength: 1
          maxLength: 256
        enrichment_config:
          description: >-
            Updated enrichment configuration. Must match the evaluator's
            enrichment type.
          oneOf:
            - $ref: '#/components/schemas/PiiDetectionConfig'
            - $ref: '#/components/schemas/TopicClassificationConfig'
            - $ref: '#/components/schemas/LLMAsAJudgeConfig'
            - $ref: '#/components/schemas/ChatCompletionConfig'
    ApiResponse:
      type: object
      description: |
        Response object for standard API responses.
      properties:
        api_version:
          type: string
          default: '3.0'
          enum:
            - '2.0'
            - '3.0'
          description: |
            API version.
        kind:
          type: string
          default: NORMAL
          enum:
            - NORMAL
          description: |
            Type of response, indicating a normal response.
    Evaluator:
      type: object
      description: Details of the evaluator
      required:
        - id
        - name
        - enrichment_name
        - enrichment_display_name
        - status
        - created_at
      properties:
        id:
          description: Unique identifier of the evaluator
          type: string
          format: uuid
        name:
          type: string
          description: Name of the evaluator
        enrichment_name:
          $ref: '#/components/schemas/EnrichmentName'
        enrichment_display_name:
          description: Human-readable display name of the enrichment type
          type: string
        status:
          description: Current status of the evaluator
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
        created_at:
          type: string
          format: date-time
        enrichment_config:
          oneOf:
            - $ref: '#/components/schemas/PiiDetectionConfig'
            - $ref: '#/components/schemas/TopicClassificationConfig'
            - $ref: '#/components/schemas/ChatCompletionConfig'
            - $ref: '#/components/schemas/LLMAsAJudgeConfig'
    PiiDetectionConfig:
      type: object
      description: PII detection enrichment configurations
      properties:
        entities:
          description: >-
            List of entities to detect.  An *entity* is a span of text that can
            be used to directly identify an individual. For example, a phone
            number, email address, or social security number.
          type: array
          nullable: true
          items:
            type: string
        allow_list:
          description: A list of terms that should not be identified as PII
          type: array
          nullable: true
          items:
            type: string
    TopicClassificationConfig:
      type: object
      description: configs for Topic Classification enrichment
      required:
        - topics
      properties:
        topics:
          description: A non-empty list of topics for classification.
          type: array
          items:
            type: string
          minItems: 1
    LLMAsAJudgeConfig:
      type: object
      description: Model for LLM-as-a-Judge enrichment configurations.
      required:
        - model_id
        - prompt_spec
      properties:
        model_id:
          description: ID of the LLM Gateway model
          type: string
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        credential_id:
          description: >-
            ID of the LLM Gateway credential, optional for some models such as
            internally hosted LLMs
          type: string
          format: uuid
          example: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
        prompt_spec:
          description: Prompt spec for an LLM-as-a-Judge
          type: object
          additionalProperties: true
          example:
            prompt_template:
              - role: user
                content: >-
                  Please analyze this question, and decide whether is a good
                  question for someone traveling to Japan. Question: {{ question
                  }}
            output_fields:
              evaluation:
                type: string
                choices:
                  - poor
                  - fair
                  - good
                  - excellent
              reasoning:
                type: string
              confidence:
                type: boolean
              numeric_confidence:
                type: number
    ChatCompletionConfig:
      type: object
      description: Chat completion enrichment configurations
      properties:
        model_id:
          description: ID of the LLM Gateway model
          type: string
          format: uuid
          example: 550e8400-e29b-41d4-a716-446655440000
        credential_id:
          type: string
          description: ID of the LLM Gateway credential
          format: uuid
          example: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
    EnrichmentName:
      type: string
      description: Type of enrichment
      enum:
        - topic_classification
        - embedding
        - token_count
        - answer_relevance
        - coherence
        - conciseness
        - rag_faithfulness
        - pii_detection
        - ftl_prompt_safety
        - secret_detection
        - sentiment_analysis
        - ftl_response_faithfulness
        - llm_as_a_judge
    ErrorResponse:
      type: object
      description: |
        Response object for errors returned by the API.
      properties:
        api_version:
          type: string
          default: '3.0'
          enum:
            - '2.0'
            - '3.0'
          description: |
            API version of the response.
        kind:
          type: string
          default: ERROR
          enum:
            - ERROR
          description: |
            Type of response, usually indicating an error.
        error:
          type: object
          properties:
            code:
              type: integer
              format: int32
              description: >
                Represents the code for this error, typically an HTTP response
                code.
              default: 400
              enum:
                - 400
                - 403
                - 404
                - 500
            message:
              type: string
              description: >
                A human-readable message providing more details about the error.
                If there are multiple errors, it will be the message for the
                first error.
              example: Resource Not Found
            errors:
              type: array
              description: >
                Container for additional information regarding the error,
                especially for multiple errors.
              items:
                type: object
                properties:
                  reason:
                    type: string
                    description: >
                      Unique identifier for this error, different from the error
                      code.
                    example: ResourceNotFoundException
                  message:
                    type: string
                    description: >
                      A human-readable message providing more details about the
                      error. If there is only one error, this field will match
                      error.message.
                    example: Resource Not Found
                  help:
                    type: string
                    description: >
                      Link to support or documentation providing more
                      information on the error.
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '404':
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '409':
      description: Conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    '429':
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
      headers:
        Retry-After:
          schema:
            type: integer
          description: Seconds to wait before retrying
        X-RateLimit-Limit:
          schema:
            type: string
          description: Rate limit policy
        X-RateLimit-Remaining:
          schema:
            type: integer
          description: Remaining requests in current window
        X-RateLimit-Reset:
          schema:
            type: integer
          description: Unix timestamp when the rate limit resets
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````